{% load_banners position: position %}

{% if loaded_banners.size > 0 %}
  <section class="section fullbanner {{ resolution }} {{ aux }}" data-fullbanner>
    <div class="swiper">
      <div class="swiper-wrapper">
        {% for banner in loaded_banners %}
          {% comment %} Config {% endcomment %}
          {% assign external = '' %}
          {% assign btn_text = banner.subtitle %}
          {% assign position_text = 'center-center' %}

          {% if banner.subtitle contains '|' %}
            {% assign btn_text = banner.subtitle | split: '|' | first %}
            {% assign position_text = banner.subtitle | split: '|' | last %}
          {% endif %}

          {% if banner.external %}
            {% assign external = "target='_blank'" %}
          {% endif %}

          <div class="swiper-slide">
            {% if banner.url contains "youtube" or banner.url contains "youtu.be" or banner.url contains "vimeo" %}

              {% comment %} BANNER COM VIDEO {% endcomment %}
              {% if banner.url contains "youtube" or banner.url contains "youtu.be" %}
                {% assign video_temp_url = banner.url %}
                {% if banner.url contains "youtu.be" %}
                  {% assign video_temp_url = banner.url | replace: 'youtu.be/', 'www.youtube.com/watch?v=' | split: '?si=' | first %}
                {% elsif banner.url contains "shorts" %}
                  {% assign video_temp_url = banner.url | replace: 'shorts/', 'watch?v=' %}
                {% endif %}
                {% assign video_address = video_temp_url | split: "?v=" | last %}
                {% assign video_code = video_address | split: '&' | first | strip %}

                {% assign video_url = video_code | prepend: "https://www.youtube.com/embed/" | append: "?autoplay=1&rel=0&mute=1&muted=1" %}
              {% elsif banner.url contains "vimeo" %}
                {% assign video_code = banner.url | split: "/" | last | strip %}
                {% assign video_url = video_code | prepend: "https://player.vimeo.com/video/" | append: "?autoplay=1&title=0&byline=0&portrait=0&loop=1&background=1&muted=1" %}
              {% endif %}

              {% if video_url %}
                <div class="video {% if resolution contains 'mobile' %}-vertical {% else %} -horizontal {% endif %}">
                  <iframe
                    {% if forloop.first %}
                      src="{{ video_url }}"
                    {% else %}
                      data-conditional-lazy
                      data-src="{{ video_url }}"
                    {% endif %}
                    frameborder="0"
                    allow="autoplay;  picture-in-picture"
                    allowfullscreen
                    aria-label="{{ banner.title }}"
                    alt="{{ banner.title }}"
                  >
                  </iframe>
                </div>
              {% endif %}

            {% elsif banner.file_url != blank %}

              {% capture data_srcset %}
                {{ banner.file_url | resize: '360x' }} 360w,
                {{ banner.file_url | resize: '480x' }} 480w,
                {{ banner.file_url | resize: '780x' }} 780w,
                {{ banner.file_url | resize: '991x' }} 991w,
                {{ banner.file_url | resize: '1280x' }} 1280w,
                {{ banner.file_url | resize: '1440x' }} 1440w,
                {{ banner.file_url }} 1920w,
              {% endcapture %}
          
              {% capture data_sizes %}
                (max-width: 360px) 360px,
                (max-width: 480px) 480px,
                (max-width: 767px) 780px,
                (max-width: 991px) 991px,
                (max-width: 1280px) 1280px,
                (max-width: 1440px) 1440px,
                1920px
              {% endcapture %}


              {% if banner.url != blank %}
                <a href="{{ banner.url }}" {{ external }} class="link">
              {% endif %}

              {% comment %} BANNER SIMPLES, COM IMAGEM {% endcomment %}
              <figure class="image {% if mobile %} -vertical {% else %} -horizontal {% endif %}">
                {% if forloop.first %}

                  {% head %}
                    <link rel="preload" as="image" href="{{ banner.file_url }}" imagesrcset="{{ data_srcset | strip_newlines | strip }}" imagesizes="{{ data_sizes | strip_newlines | strip }}">
                  {% endhead %}
                
                  <img
                    alt="{{ banner.title }}"
                    srcset="{{ data_srcset | strip_newlines | strip }}"
                    sizes="{{ data_sizes | strip_newlines | strip }}"
                  />
                {% else %}
                  <img
                    class="lazy"
                    loading="lazy"
                    alt="{{ banner.title }}"
                    data-srcset="{{ data_srcset | strip_newlines | strip }}"
                    sizes="{{ data_sizes | strip_newlines | strip }}"
                  />
                {% endif %}
              </figure>

              {% if banner.description != blank or btn_text != blank %}
                <div class="text {{ position_text }} {% if banner.description == blank %} -no-text {% endif %}" {% if banner.color != blank %} style="--fb-color: {{ banner.color }}" {% endif %}>
                  {% if banner.description != blank %}
                    {{ banner.description | replace: '<h1', '<h2' | replace: '<h2', '<h2 class="title"' | replace: '<h3', '<h3 class="upper-title"' | replace: '<p', '<p class="description"' }}
                  {% endif %}
  
                  {% if banner.url != blank and btn_text != blank %}
                    <button type="button" class="button-default -outlined">
                      {{ btn_text }}
                    </button>
                  {% endif %}
                </div>
              {% endif %}

              {% if banner.url != blank %}
                </a>
              {% endif %}

            {% endif %}
          </div>
        {% endfor %}
      </div>
       {% unless mobile %}
        <button type="button" class="swiper-button-next" aria-label="Próximo slide"></button>
        <button type="button" class="swiper-button-prev" aria-label="Slide anterior"></button>
      {% endunless %}
      <div class="swiper-pagination"></div>
    </div>
  </section>
{% endif %}
